Subject: Re: [Sip] Path header vs. pre-loaded route in Contact

From: Rohan Mahy <[email-masked]>
Date: Wed, 6 Mar 2002 13:13:07 -0800

Dean said:
>This is a scaled-down version of my "compound contact" idea 
of about a year
>ago, which I think was my first response to the original 
Path proposal I
>heard from Bill Marshall.
>
>The approach as suggested only works if there is only one 
proxy, identity
>known to the roaming UA, in the path. If there are multiple 
proxies, for
>example firewall controllers, which may be unknown to the 
roaming UA at the
>time of registration, then it breaks.

can we come up with other specific cases aside from 3GPP 
where this is likely to happen?  I think your home proxy 
example was a good one, but only needs one pre-loaded route.

also, I think you can get around this requirement in networks 
that control their own DNS, by using split DNS.  The external 
DNS entries would point SRV records for the "inner" proxy at 
the "border" proxy, and the inside DNS would point at the 
inner proxy.  can you think of any issues with this?

>One could get around this by allowing intermediate proxies 
to edit the
>Contact, adding themselves to the compound-contact (I think 
I proposed
>something like this once). This is nicer than the
>synthesize-a-local-alias-and-remap-the-contact model, in 
that it doesn't
>require added state in the listed intermediate proxies, but 
it does have the
>same potential interaction with message integrity mechanisms 
that protect
>the Contact field.

Yes.  while I don't think this is a problem for 3GPP, we 
should keep the integrity issue in mind.

thanks,
-rohan

> --
>Dean
>
>
>
>
>_______________________________________________
>Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
>This list is for NEW development of the core SIP Protocol
>Use [email-masked] for questions on 
current sip
>Use [email-masked] for new developments on the application 
of sip

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip

---

From: "Dean Willis" <[email-masked]>
Date: Wed, 6 Mar 2002 15:58:50 -0600

Rohan asked (referring to the need for more-than-one-hop service routes)
> example was a good one, but only needs one pre-loaded route.

Well, there might be one firewall proxy at my house, and another at my
office, or some kind of multi-firewall transit network in between . . .
Sure, we COULD play all sorts of games with DNS, but that does tend to get
rather expensive as well as complicated to operate.

but actually, I think you're solution works for one direction of the problem
as it occurs in 3GPP. The roaming mobile discovers its adjacent proxy, and
includes that proxy as part of a compound contact which it registers. This
handles mobile-terminated calls. We have a seperate issue of how to discover
service routes for mobile-originated calls, but (s pointed out by the
asymetrric model of the Path draft), this is a seperable issue.

Now, it may be worth pointing out that this "compound contact" approach
appears to require fundamental changes to certain parts of the SIP grammar,
and I can't see any off-hand way of making it backward compatible . . .

> inner proxy.  can you think of any issues with this?

Yeah, split-DNS is a major source of defective network operation and
generaly a bad stinking idea. It's probably required if you're running NAT,
which is its own source of insanity, but probably not a good idea otherwise.
It also tends to confuse the heck out of the border nodes, which I believe
are the ones making the routing decision you're proposing. One has to build
a three-layer model to handle the namespace issues, and that's expensive
(50% more than a two-layer model).

--
Dean